Strophe: sock.c File Reference

Strophe 0.12 XMPP client library

Functions
sock.c File Reference

Socket abstraction. More...

## Functions
void | sock_initialize (void)
void | sock_shutdown (void)
int | sock_error (void)
static int | _in_progress (int error)
sock_t | sock_connect (xmpp_conn_t *conn, const char *host, unsigned short port)
int | sock_set_keepalive (sock_t sock, int timeout, int interval, int count, unsigned int user_timeout)
int | xmpp_sockopt_cb_keepalive (xmpp_conn_t *conn, void *socket)
| Example sockopt callback function An example function that can be used to set reasonable default keepalive options on sockets when registered for a connection with xmpp_conn_set_sockopt_callback() More...
int | sock_close (sock_t sock)
static int | _sock_set_blocking_mode (sock_t sock, int blocking)
int | sock_set_blocking (sock_t sock)
int | sock_set_nonblocking (sock_t sock)
int | sock_read (sock_t sock, void *buff, size_t len)
int | sock_write (sock_t sock, const void *buff, size_t len)
int | sock_is_recoverable (int error)
int | sock_connect_error (sock_t sock)

## Detailed Description

Socket abstraction.

## Function Documentation

## ◆ sock_initialize()

void sock_initialize | ( | void |  | ) |

## ◆ sock_shutdown()

void sock_shutdown | ( | void |  | ) |

## ◆ sock_error()

int sock_error | ( | void |  | ) |

## ◆ _in_progress()

static int _in_progress | ( | int | error | ) |
| static

## ◆ sock_connect()

sock_t sock_connect | ( | xmpp_conn_t * | conn,
|  | const char * | host,
|  | unsigned short | port
| ) |  |

## ◆ sock_set_keepalive()

int sock_set_keepalive | ( | sock_t | sock,
|  | int | timeout,
|  | int | interval,
|  | int | count,
|  | unsigned int | user_timeout
| ) |  |

## ◆ sock_close()

int sock_close | ( | sock_t | sock | ) |

## ◆ _sock_set_blocking_mode()

static int _sock_set_blocking_mode | ( | sock_t | sock,
|  | int | blocking
| ) |  |
| static

## ◆ sock_set_blocking()

int sock_set_blocking | ( | sock_t | sock | ) |

## ◆ sock_set_nonblocking()

int sock_set_nonblocking | ( | sock_t | sock | ) |

## ◆ sock_read()

int sock_read | ( | sock_t | sock,
|  | void * | buff,
|  | size_t | len
| ) |  |

## ◆ sock_write()

int sock_write | ( | sock_t | sock,
|  | const void * | buff,
|  | size_t | len
| ) |  |

## ◆ sock_is_recoverable()

int sock_is_recoverable | ( | int | error | ) |

## ◆ sock_connect_error()

int sock_connect_error | ( | sock_t | sock | ) |